Bug 8677 - auto_path setting is broken
: auto_path setting is broken
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tcl-vfs)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-18 21:34 by
Modified: 2007-02-23 20:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-18 21:34:26
В tcl-vfs-1.3-alt4 при выполнении package require vfs неверно устанавливается
переменная auto_path.  В результате этого не работает автоматическая загрузка 
функций vfs (например, vfs::mount).
Steps to Reproduce:
$ rpm -q tcl tcl-vfs
tcl-8.4.11-alt1
tcl-vfs-1.3-alt4

$ tclsh
% puts $auto_path            
/usr/share/tcl/tcl8.4 /usr/share/tcl
% package require vfs
1.3
% puts $auto_path
/usr/share/tcl/tcl8.4 /usr/share/tcl /usr/share/tcl/tcllib1.8
/usr/share/tcl/vfs1.3/../../../lib/tcl
% vfs::mount
invalid command name "vfs::mount"
%
------- Comment #1 From 2006-02-05 01:25:22 -------
fixed in tcl-vfs-1.3-alt5
------- Comment #2 From 2006-08-29 21:42:02 -------
Непохоже, что fixed (или опять сломалось в alt6):

$ rpm -q tcl tcl-vfs
tcl-8.4.13-alt1
tcl-vfs-1.3-alt6

$ tclsh
% puts $auto_path
/usr/share/tcl/tcl8.4 /usr/share/tcl
% package require vfs
1.3
% puts $auto_path
/usr/share/tcl/tcl8.4 /usr/share/tcl /usr/share/tcl/tcllib1.8
% vfs::mount
invalid command name "vfs::mount"

Теперь в auto_path просто ничего не добавляется, в результате tclIndex из пакета
не читается, и команды не находятся.
------- Comment #3 From 2006-09-01 00:59:08 -------
fixed in alt7.